#ifndef DEFAULT_LEXER_HH
#define DEFAULT_LEXER_HH

using namespace std;

// ---------- Default parsing ----------

static const string SPACE		= "[[:space:]]";
static const string WORD		= "([[:word:]]+)";

static const string LSCOPE		= "[{]";
static const string RSCOPE		= "[}]";
static const string LBRAC		= "[[.left-square-bracket.]]";
static const string RBRAC		= "[[.right-square-bracket.]]";
static const string JSEP		= "[[.colon.]]";
static const string COMMA		= "[[.comma.]]";
static const string QUOTE		= "[[.quotation-mark.]]";
static const string STRING		= QUOTE + WORD + QUOTE;
static const string NUMBER		= "([[:digit:]]+)";
static const string SLIST		= LBRAC + "((("+STRING+")|(" + STRING + COMMA + "))*)" + RBRAC;

#endif //DEFAULT_LEXER_HH
